Redmine - Defect #26564

Enumerations sorting does not work
2017-07-28 10:49 - Sergey Gnuskov

Status: Closed Start date:

Priority: Urgent Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 3.4.3

Resolution: Fixed Affected version: 3.4.2
Description

When drag/drop enumerations, it makes successful request to server, but position does not change after page reload. The problem is
that position attribute is not added to permitted params in enumerations controller, so it's skipped.

Related issues:

Related to Redmine - Defect #28925: Custom field values for enumerations not ... Closed

Associated revisions

Revision 16918 - 2017-07-30 18:30 - Jean-Philippe Lang
Fixed that Enumerations sorting is broken (#26564).

Patch by Sergey Gnuskov.

Revision 16919 - 2017-07-30 18:31 - Jean-Philippe Lang
Adds a test for #26564.

Patch by Toshi MARUYAMA.

Revision 16920 - 2017-07-30 18:32 - Jean-Philippe Lang
Merged r16918 and r16919 (#26564).

History

#1 - 2017-07-28 10:58 - Sergey Gnuskov
- File patch.diff added

The patch is something like this: patch.diff.

#2 - 2017-07-28 11:01 - Go MAEDA
- Status changed from New to Confirmed

- Target version set to 3.4.3

Confirmed the problem. Setting target version to 3.4.3.

#3 - 2017-07-30 06:26 - Toshi MARUYAMA
- File issue-26564-test.diff added

This is test.

#4 - 2017-07-30 06:29 - Toshi MARUYAMA
- File issue-26564-test-v2.diff added

Simplified.

#5 - 2017-07-30 06:29 - Toshi MARUYAMA
- File deleted (issue-26564-test.diff)
https://www.redmine.org/attachments/18859

#6 - 2017-07-30 15:13 - Go MAEDA

- Priority changed from Normal to Urgent

#7 - 2017-07-30 18:32 - Jean-Philippe Lang
- Status changed from Confirmed to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix and test committed, thanks.

#8 - 2018-06-01 06:41 - Go MAEDA

- Related to Defect #28925: Custom field values for enumerations not saved added

Files
patch.diff 565 Bytes 2017-07-28 Sergey Gnuskov
issue-26564-test-v2.diff 894 Bytes 2017-07-30 Toshi MARUYAMA
